Subject: Re: Failure to detect PCI card

From: Anatolij Gustschin <[email-masked]>
Date: Tue, 6 Aug 2013 22:03:23 +0200

On Mon, 5 Aug 2013 16:14:29 -0700
Peter LaDow <[email-masked]> wrote:
...
> Perhaps it is a BIOS option ROM like you suggested earlier.  The
> 3c90xC reference manual I found
> (http://people.freebsd.org/~wpaul/3Com/3c90xc.pdf) mentions an option
> ROM (and there is an Atmel part stuffed).  I can't find any technical
> information on the FA331 (yet), so I don't know about it.
> 
> But regardless, wouldn't enumeration have to occur before any option
> ROM could even be used?

Yes. If the device didn't respond with its Device- and Vendor-ID
when reading its configuration space, then it cannot be configured
and reading the expansion ROM won't work.

Thanks,

Anatolij